HDF: mfhdf/fortran/mfsdf.h File Reference

Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.4.0 API Reference |

Loading...
Searching...
No Matches
mfsdf.h File Reference
`#include "H4api_adpt.h"`
`#include "mfhdf.h"`

## Macros
#define | nscstart H4_F77_FUNC(scstart, SCSTART)
#define | nsfend H4_F77_FUNC(sfend, SFEND)
#define | nsfendacc H4_F77_FUNC(sfendacc, SFENDACC)
#define | nsffinfo H4_F77_FUNC(sffinfo, SFFINFO)
#define | nsfselect H4_F77_FUNC(sfselect, SFSELECT)
#define | nscginfo H4_F77_FUNC(scginfo, SCGINFO)
#define | nscgainfo H4_F77_FUNC(scgainfo, SCGAINFO)
#define | nscgdinfo H4_F77_FUNC(scgdinfo, SCGDINFO)
#define | nsfgcal H4_F77_FUNC(sfgcal, SFGCAL)
#define | nsfscal H4_F77_FUNC(sfscal, SFSCAL)
#define | nsfgdscale H4_F77_FUNC(sfgdscale, SFGDSCALE)
#define | nsfsdscale H4_F77_FUNC(sfsdscale, SFSDSCALE)
#define | nsfgcfill H4_F77_FUNC(sfgcfill, SFGCFILL)
#define | nsfgfill H4_F77_FUNC(sfgfill, SFGFILL)
#define | nsfscfill H4_F77_FUNC(sfscfill, SFSCFILL)
#define | nsfsfill H4_F77_FUNC(sfsfill, SFSFILL)
#define | nsfsflmd H4_F77_FUNC(sfsflmd, SFSFLMD)
#define | nsfgrange H4_F77_FUNC(sfgrange, SFGRANGE)
#define | nsfsrange H4_F77_FUNC(sfsrange, SFSRANGE)
#define | nscn2index H4_F77_FUNC(scn2index, SCN2INDEX)
#define | nsccreate H4_F77_FUNC(sccreate, SCCREATE)
#define | nscsdimstr H4_F77_FUNC(scsdimstr, SCSDIMSTR)
#define | nscsdimname H4_F77_FUNC(scsdimname, SCSDIMNAME)
#define | nscsdatstr H4_F77_FUNC(scsdatstr, SCSDATSTR)
#define | nsfdimid H4_F77_FUNC(sfdimid, SFDIMID)
#define | nsfrcatt H4_F77_FUNC(sfrcatt, SFRCATT)
#define | nsfrnatt H4_F77_FUNC(sfrnatt, SFRNATT)
#define | nsfrattr H4_F77_FUNC(sfrattr, SFRATTR)
#define | nsfrcdata H4_F77_FUNC(sfrcdata, SFRCDATA)
#define | nsfrdata H4_F77_FUNC(sfrdata, SFRDATA)
#define | nsfwcdata H4_F77_FUNC(sfwcdata, SFWCDATA)
#define | nsfwdata H4_F77_FUNC(sfwdata, SFWDATA)
#define | nscgdatstrs H4_F77_FUNC(scgdatstrs, SCGDATSTRS)
#define | nscgdimstrs H4_F77_FUNC(scgdimstrs, SCGDIMSTRS)
#define | nscscatt H4_F77_FUNC(scscatt, SCSCATT)
#define | nscsnatt H4_F77_FUNC(scsnatt, SCSNATT)
#define | nscsattr H4_F77_FUNC(scsattr, SCSATTR)
#define | nscfattr H4_F77_FUNC(scfattr, SCFATTR)
#define | nsfid2ref H4_F77_FUNC(sfid2ref, SFID2REF)
#define | nsfref2index H4_F77_FUNC(sfref2index, SFREF2INDEX)
#define | nsfiscvar H4_F77_FUNC(sfiscvar, SFISCVAR)
#define | nscsextf H4_F77_FUNC(scsextf, SCSEXTF)
#define | nsfsacct H4_F77_FUNC(sfsacct, SFSACCT)
#define | nsfsdmvc H4_F77_FUNC(sfsdmvc, SFSDMVC)
#define | nsfisdmvc H4_F77_FUNC(sfisdmvc, SFISDMVC)
#define | nsfisrcrd H4_F77_FUNC(sfisrcrd, SFISRCRD)
#define | nscgichnk H4_F77_FUNC(scgichnk, SCGICHNK)
#define | nscrcchnk H4_F77_FUNC(scrcchnk, SCRCCHNK)
#define | nscrchnk H4_F77_FUNC(scrchnk, SCRCHNK)
#define | nscscchnk H4_F77_FUNC(scscchnk, SCSCCHNK)
#define | nscschnk H4_F77_FUNC(scschnk, SCSCHNK)
#define | nscwcchnk H4_F77_FUNC(scwcchnk, SCWCCHNK)
#define | nscwchnk H4_F77_FUNC(scwchnk, SCWCHNK)
#define | nscscompress H4_F77_FUNC(scscompress, SCSCOMPRESS)
#define | nscgcompress H4_F77_FUNC(scgcompress, SCGCOMPRESS)
#define | nsfsnbit H4_F77_FUNC(sfsnbit, SFSNBIT)
#define | nsfsblsz H4_F77_FUNC(sfsblsz, SFSBLSZ)
#define | nscchempty H4_F77_FUNC(scchempty, SCCHEMPTY)
#define | nscgetfname H4_F77_FUNC(scgetfname, SCGETFNAME)
#define | nscgetnamelen H4_F77_FUNC(scgetnamelen, SCGETNAMELEN)
#define | nscidtype H4_F77_FUNC(scidtype, SCIDTYPE)
#define | nscgnvars_byname H4_F77_FUNC(scgnvars_byname, SCGNVARS_BYNAME)
#define | nscn2indices H4_F77_FUNC(scn2indices, SCN2INDICES)
#define | nscgmaxopenf H4_F77_FUNC(scgmaxopenf, SCGMAXOPENF)
#define | nscgnumopenf H4_F77_FUNC(scgnumopenf, SCGNUMOPENF)
#define | nscrmaxopenf H4_F77_FUNC(scrmaxopenf, SCRMAXOPENF)

## Functions
HDFFCLIBAPI intf | H4_F77_FUNC (scstart, SCSTART)(_fcd name
HDFFCLIBAPI intf | H4_F77_FUNC (scginfo, SCGINFO)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (scn2index, SCN2INDEX)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (sccreate, SCCREATE)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (scsdimstr, SCSDIMSTR)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (scsdimname, SCSDIMNAME)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (scsdatstr, SCSDATSTR)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (scgdimstrs, SCGDIMSTRS)(intf *dim
HDFFCLIBAPI intf | H4_F77_FUNC (scgdatstrs, SCGDATSTRS)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (scgainfo, SCGAINFO)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (scgdinfo, SCGDINFO)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (scscatt, SCSCATT)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (scsnatt, SCSNATT)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (scsattr, SCSATTR)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (scsextf, SCSEXTF)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (scgichnk, SCGICHNK)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (scrcchnk, SCRCCHNK)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (scrchnk, SCRCHNK)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (scscchnk, SCSCCHNK)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (scschnk, SCSCHNK)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (scwcchnk, SCWCCHNK)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (scwchnk, SCWCHNK)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (scscompress, SCSCOMPRESS)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (scgcompress, SCGCOMPRESS)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (scfattr, SCFATTR)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (scchempty, SCCHEMPTY)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (scgnvars_byname, SCGNVARS_BYNAME)(intf *sd_id
HDFFCLIBAPI intf | H4_F77_FUNC (scn2indices, SCN2INDICES)(intf *sd_id
HDFFCLIBAPI intf | H4_F77_FUNC (scgnumopenf, SCGNUMOPENF)(intf *cur_num)
HDFFCLIBAPI intf | H4_F77_FUNC (scgmaxopenf, SCGMAXOPENF)(intf *cur_max
HDFFCLIBAPI intf | H4_F77_FUNC (scrmaxopenf, SCRMAXOPENF)(intf *req_max)
HDFFCLIBAPI intf | H4_F77_FUNC (scidtype, SCIDTYPE)(intf *obj_id
HDFFCLIBAPI intf | H4_F77_FUNC (scgetnamelen, SCGETNAMELEN)(intf *obj_id
HDFFCLIBAPI intf | H4_F77_FUNC (scgetfname, SCGETFNAME)(intf *file_id
HDFFCLIBAPI intf | H4_F77_FUNC (sfend, SFEND)(intf *file_id)
HDFFCLIBAPI intf | H4_F77_FUNC (sfendacc, SFENDACC)(intf *id)
HDFFCLIBAPI intf | H4_F77_FUNC (sffinfo, SFFINFO)(intf *file_id
HDFFCLIBAPI intf | H4_F77_FUNC (sfselect, SFSELECT)(intf *file_id
HDFFCLIBAPI intf | H4_F77_FUNC (sfdimid, SFDIMID)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (sfgcal, SFGCAL)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (sfscal, SFSCAL)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (sfsdscale, SFSDSCALE)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (sfgdscale, SFGDSCALE)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (sfscfill, SFSCFILL)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (sfgcfill, SFGCFILL)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (sfsfill, SFSFILL)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (sfgfill, SFGFILL)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (sfgrange, SFGRANGE)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (sfsrange, SFSRANGE)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (sfrcatt, SFRCATT)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (sfrnatt, SFRNATT)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (sfrattr, SFRATTR)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (sfrdata, SFRDATA)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (sfwdata, SFWDATA)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (sfrcdata, SFRCDATA)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (sfwcdata, SFWCDATA)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (sfid2ref, SFID2REF)(intf *id)
HDFFCLIBAPI intf | H4_F77_FUNC (sfref2index, SFREF2INDEX)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (sfiscvar, SFISCVAR)(intf *id)
HDFFCLIBAPI intf | H4_F77_FUNC (sfsnbit, SFSNBIT)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (sfsacct, SFSACCT)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (sfsdmvc, SFSDMVC)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (sfisdmvc, SFISDMVC)(intf *id)
HDFFCLIBAPI intf | H4_F77_FUNC (sfsflmd, SFSFLMD)(intf *id
HDFFCLIBAPI intf | H4_F77_FUNC (sfisrcrd, SFISRCRD)(intf *id)
HDFFCLIBAPI intf | H4_F77_FUNC (sfsblsz, SFSBLSZ)(intf *id

## Variables
HDFFCLIBAPI intf intf * | access
HDFFCLIBAPI intf intf intf * | namelen
HDFFCLIBAPI intf _fcd | name
HDFFCLIBAPI intf _fcd intf * | rank
HDFFCLIBAPI intf _fcd intf intf * | dimsizes
HDFFCLIBAPI intf _fcd intf intf intf * | nt
HDFFCLIBAPI intf _fcd intf intf intf intf * | nattr
HDFFCLIBAPI intf _fcd intf intf intf intf intf * | len
HDFFCLIBAPI intf _fcd intf intf intf * | dims
HDFFCLIBAPI intf _fcd | l
HDFFCLIBAPI intf _fcd _fcd | u
HDFFCLIBAPI intf _fcd _fcd _fcd | f
HDFFCLIBAPI intf _fcd _fcd _fcd intf * | ll
HDFFCLIBAPI intf _fcd _fcd _fcd intf intf * | ul
HDFFCLIBAPI intf _fcd _fcd _fcd intf intf intf * | fl
HDFFCLIBAPI intf _fcd _fcd _fcd _fcd | c
HDFFCLIBAPI intf _fcd _fcd _fcd _fcd intf intf intf intf * | cl
HDFFCLIBAPI intf _fcd | label
HDFFCLIBAPI intf _fcd _fcd | unit
HDFFCLIBAPI intf _fcd _fcd _fcd | format
HDFFCLIBAPI intf _fcd _fcd _fcd intf * | llabel
HDFFCLIBAPI intf _fcd _fcd _fcd intf intf * | lunit
HDFFCLIBAPI intf _fcd _fcd _fcd intf intf intf * | lformat
HDFFCLIBAPI intf _fcd _fcd _fcd intf intf intf intf * | mlen
HDFFCLIBAPI intf _fcd _fcd _fcd _fcd | coord
HDFFCLIBAPI intf _fcd _fcd _fcd _fcd intf intf intf intf * | lcoord
HDFFCLIBAPI intf intf * | number
HDFFCLIBAPI intf intf _fcd intf intf * | count
HDFFCLIBAPI intf _fcd intf * | sz
HDFFCLIBAPI intf _fcd intf intf _fcd | data
HDFFCLIBAPI intf _fcd intf * | offset
HDFFCLIBAPI intf intf * | dim_length
HDFFCLIBAPI intf intf intf * | flags
HDFFCLIBAPI intf intf * | start
HDFFCLIBAPI intf intf _fcd | char_data
HDFFCLIBAPI intf intf void * | num_data
HDFFCLIBAPI intf intf * | maxcache
HDFFCLIBAPI intf intf intf * | comp_type
HDFFCLIBAPI intf intf intf intf * | comp_prm
HDFFCLIBAPI intf intf * | flag
HDFFCLIBAPI intf _fcd intf intf * | n_vars
HDFFCLIBAPI intf _fcd intf intf * | var_list
HDFFCLIBAPI intf _fcd intf intf intf * | type_list
HDFFCLIBAPI intf intf * | sys_limit
HDFFCLIBAPI intf intf * | obj_type
HDFFCLIBAPI intf intf * | datasets
HDFFCLIBAPI intf intf intf * | gattr
HDFFCLIBAPI intf intf * | index
HDFFCLIBAPI intf float64 * | cal
HDFFCLIBAPI intf float64 float64 * | cale
HDFFCLIBAPI intf float64 float64 float64 * | ioff
HDFFCLIBAPI intf float64 float64 float64 float64 * | ioffe
HDFFCLIBAPI intf intf intf void * | values
HDFFCLIBAPI intf _fcd | val
HDFFCLIBAPI intf void * | max
HDFFCLIBAPI intf void void * | min
HDFFCLIBAPI intf intf _fcd | buf
HDFFCLIBAPI intf intf intf * | stride
HDFFCLIBAPI intf intf intf intf * | end
HDFFCLIBAPI intf intf * | ref
HDFFCLIBAPI intf intf * | start_bit
HDFFCLIBAPI intf intf intf * | bit_len
HDFFCLIBAPI intf intf intf intf * | sign_ext
HDFFCLIBAPI intf intf intf intf intf * | fill_one
HDFFCLIBAPI intf intf * | type
HDFFCLIBAPI intf intf * | compmode
HDFFCLIBAPI intf intf * | fillmode
HDFFCLIBAPI intf intf * | block_size

## Macro Definition Documentation

## ◆ nscchempty

#define nscchempty H4_F77_FUNC(scchempty, SCCHEMPTY)

## ◆ nsccreate

#define nsccreate H4_F77_FUNC(sccreate, SCCREATE)

## ◆ nscfattr

#define nscfattr H4_F77_FUNC(scfattr, SCFATTR)

## ◆ nscgainfo

#define nscgainfo H4_F77_FUNC(scgainfo, SCGAINFO)

## ◆ nscgcompress

#define nscgcompress H4_F77_FUNC(scgcompress, SCGCOMPRESS)

## ◆ nscgdatstrs

#define nscgdatstrs H4_F77_FUNC(scgdatstrs, SCGDATSTRS)

## ◆ nscgdimstrs

#define nscgdimstrs H4_F77_FUNC(scgdimstrs, SCGDIMSTRS)

## ◆ nscgdinfo

#define nscgdinfo H4_F77_FUNC(scgdinfo, SCGDINFO)

## ◆ nscgetfname

#define nscgetfname H4_F77_FUNC(scgetfname, SCGETFNAME)

## ◆ nscgetnamelen

#define nscgetnamelen H4_F77_FUNC(scgetnamelen, SCGETNAMELEN)

## ◆ nscgichnk

#define nscgichnk H4_F77_FUNC(scgichnk, SCGICHNK)

## ◆ nscginfo

#define nscginfo H4_F77_FUNC(scginfo, SCGINFO)

## ◆ nscgmaxopenf

#define nscgmaxopenf H4_F77_FUNC(scgmaxopenf, SCGMAXOPENF)

## ◆ nscgnumopenf

#define nscgnumopenf H4_F77_FUNC(scgnumopenf, SCGNUMOPENF)

## ◆ nscgnvars_byname

#define nscgnvars_byname H4_F77_FUNC(scgnvars_byname, SCGNVARS_BYNAME)

## ◆ nscidtype

#define nscidtype H4_F77_FUNC(scidtype, SCIDTYPE)

## ◆ nscn2index

#define nscn2index H4_F77_FUNC(scn2index, SCN2INDEX)

## ◆ nscn2indices

#define nscn2indices H4_F77_FUNC(scn2indices, SCN2INDICES)

## ◆ nscrcchnk

#define nscrcchnk H4_F77_FUNC(scrcchnk, SCRCCHNK)

## ◆ nscrchnk

#define nscrchnk H4_F77_FUNC(scrchnk, SCRCHNK)

## ◆ nscrmaxopenf

#define nscrmaxopenf H4_F77_FUNC(scrmaxopenf, SCRMAXOPENF)

## ◆ nscsattr

#define nscsattr H4_F77_FUNC(scsattr, SCSATTR)

## ◆ nscscatt

#define nscscatt H4_F77_FUNC(scscatt, SCSCATT)

## ◆ nscscchnk

#define nscscchnk H4_F77_FUNC(scscchnk, SCSCCHNK)

## ◆ nscschnk

#define nscschnk H4_F77_FUNC(scschnk, SCSCHNK)

## ◆ nscscompress

#define nscscompress H4_F77_FUNC(scscompress, SCSCOMPRESS)

## ◆ nscsdatstr

#define nscsdatstr H4_F77_FUNC(scsdatstr, SCSDATSTR)

## ◆ nscsdimname

#define nscsdimname H4_F77_FUNC(scsdimname, SCSDIMNAME)

## ◆ nscsdimstr

#define nscsdimstr H4_F77_FUNC(scsdimstr, SCSDIMSTR)

## ◆ nscsextf

#define nscsextf H4_F77_FUNC(scsextf, SCSEXTF)

## ◆ nscsnatt

#define nscsnatt H4_F77_FUNC(scsnatt, SCSNATT)

## ◆ nscstart

#define nscstart H4_F77_FUNC(scstart, SCSTART)

## ◆ nscwcchnk

#define nscwcchnk H4_F77_FUNC(scwcchnk, SCWCCHNK)

## ◆ nscwchnk

#define nscwchnk H4_F77_FUNC(scwchnk, SCWCHNK)

## ◆ nsfdimid

#define nsfdimid H4_F77_FUNC(sfdimid, SFDIMID)

## ◆ nsfend

#define nsfend H4_F77_FUNC(sfend, SFEND)

## ◆ nsfendacc

#define nsfendacc H4_F77_FUNC(sfendacc, SFENDACC)

## ◆ nsffinfo

#define nsffinfo H4_F77_FUNC(sffinfo, SFFINFO)

## ◆ nsfgcal

#define nsfgcal H4_F77_FUNC(sfgcal, SFGCAL)

## ◆ nsfgcfill

#define nsfgcfill H4_F77_FUNC(sfgcfill, SFGCFILL)

## ◆ nsfgdscale

#define nsfgdscale H4_F77_FUNC(sfgdscale, SFGDSCALE)

## ◆ nsfgfill

#define nsfgfill H4_F77_FUNC(sfgfill, SFGFILL)

## ◆ nsfgrange

#define nsfgrange H4_F77_FUNC(sfgrange, SFGRANGE)

## ◆ nsfid2ref

#define nsfid2ref H4_F77_FUNC(sfid2ref, SFID2REF)

## ◆ nsfiscvar

#define nsfiscvar H4_F77_FUNC(sfiscvar, SFISCVAR)

## ◆ nsfisdmvc

#define nsfisdmvc H4_F77_FUNC(sfisdmvc, SFISDMVC)

## ◆ nsfisrcrd

#define nsfisrcrd H4_F77_FUNC(sfisrcrd, SFISRCRD)

## ◆ nsfrattr

#define nsfrattr H4_F77_FUNC(sfrattr, SFRATTR)

## ◆ nsfrcatt

#define nsfrcatt H4_F77_FUNC(sfrcatt, SFRCATT)

## ◆ nsfrcdata

#define nsfrcdata H4_F77_FUNC(sfrcdata, SFRCDATA)

## ◆ nsfrdata

#define nsfrdata H4_F77_FUNC(sfrdata, SFRDATA)

## ◆ nsfref2index

#define nsfref2index H4_F77_FUNC(sfref2index, SFREF2INDEX)

## ◆ nsfrnatt

#define nsfrnatt H4_F77_FUNC(sfrnatt, SFRNATT)

## ◆ nsfsacct

#define nsfsacct H4_F77_FUNC(sfsacct, SFSACCT)

## ◆ nsfsblsz

#define nsfsblsz H4_F77_FUNC(sfsblsz, SFSBLSZ)

## ◆ nsfscal

#define nsfscal H4_F77_FUNC(sfscal, SFSCAL)

## ◆ nsfscfill

#define nsfscfill H4_F77_FUNC(sfscfill, SFSCFILL)

## ◆ nsfsdmvc

#define nsfsdmvc H4_F77_FUNC(sfsdmvc, SFSDMVC)

## ◆ nsfsdscale

#define nsfsdscale H4_F77_FUNC(sfsdscale, SFSDSCALE)

## ◆ nsfselect

#define nsfselect H4_F77_FUNC(sfselect, SFSELECT)

## ◆ nsfsfill

#define nsfsfill H4_F77_FUNC(sfsfill, SFSFILL)

## ◆ nsfsflmd

#define nsfsflmd H4_F77_FUNC(sfsflmd, SFSFLMD)

## ◆ nsfsnbit

#define nsfsnbit H4_F77_FUNC(sfsnbit, SFSNBIT)

## ◆ nsfsrange

#define nsfsrange H4_F77_FUNC(sfsrange, SFSRANGE)

## ◆ nsfwcdata

#define nsfwcdata H4_F77_FUNC(sfwcdata, SFWCDATA)

## ◆ nsfwdata

#define nsfwdata H4_F77_FUNC(sfwdata, SFWDATA)

## Function Documentation

## ◆ H4_F77_FUNC() [1/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scchempty | ,
|  | SCCHEMPTY | )

## ◆ H4_F77_FUNC() [2/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sccreate | ,
|  | SCCREATE | )

## ◆ H4_F77_FUNC() [3/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scfattr | ,
|  | SCFATTR | )

## ◆ H4_F77_FUNC() [4/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scgainfo | ,
|  | SCGAINFO | )

## ◆ H4_F77_FUNC() [5/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scgcompress | ,
|  | SCGCOMPRESS | )

## ◆ H4_F77_FUNC() [6/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scgdatstrs | ,
|  | SCGDATSTRS | )

## ◆ H4_F77_FUNC() [7/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scgdimstrs | ,
|  | SCGDIMSTRS | )

## ◆ H4_F77_FUNC() [8/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scgdinfo | ,
|  | SCGDINFO | )

## ◆ H4_F77_FUNC() [9/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scgetfname | ,
|  | SCGETFNAME | )

## ◆ H4_F77_FUNC() [10/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scgetnamelen | ,
|  | SCGETNAMELEN | )

## ◆ H4_F77_FUNC() [11/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scgichnk | ,
|  | SCGICHNK | )

## ◆ H4_F77_FUNC() [12/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scginfo | ,
|  | SCGINFO | )

## ◆ H4_F77_FUNC() [13/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scgmaxopenf | ,
|  | SCGMAXOPENF | )

## ◆ H4_F77_FUNC() [14/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scgnumopenf | ,
|  | SCGNUMOPENF | )

## ◆ H4_F77_FUNC() [15/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scgnvars_byname | ,
|  | SCGNVARS_BYNAME | )

## ◆ H4_F77_FUNC() [16/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scidtype | ,
|  | SCIDTYPE | )

## ◆ H4_F77_FUNC() [17/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scn2index | ,
|  | SCN2INDEX | )

## ◆ H4_F77_FUNC() [18/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scn2indices | ,
|  | SCN2INDICES | )

## ◆ H4_F77_FUNC() [19/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scrcchnk | ,
|  | SCRCCHNK | )

## ◆ H4_F77_FUNC() [20/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scrchnk | ,
|  | SCRCHNK | )

## ◆ H4_F77_FUNC() [21/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scrmaxopenf | ,
|  | SCRMAXOPENF | )

## ◆ H4_F77_FUNC() [22/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scsattr | ,
|  | SCSATTR | )

## ◆ H4_F77_FUNC() [23/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scscatt | ,
|  | SCSCATT | )

## ◆ H4_F77_FUNC() [24/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scscchnk | ,
|  | SCSCCHNK | )

## ◆ H4_F77_FUNC() [25/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scschnk | ,
|  | SCSCHNK | )

## ◆ H4_F77_FUNC() [26/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scscompress | ,
|  | SCSCOMPRESS | )

## ◆ H4_F77_FUNC() [27/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scsdatstr | ,
|  | SCSDATSTR | )

## ◆ H4_F77_FUNC() [28/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scsdimname | ,
|  | SCSDIMNAME | )

## ◆ H4_F77_FUNC() [29/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scsdimstr | ,
|  | SCSDIMSTR | )

## ◆ H4_F77_FUNC() [30/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scsextf | ,
|  | SCSEXTF | )

## ◆ H4_F77_FUNC() [31/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scsnatt | ,
|  | SCSNATT | )

## ◆ H4_F77_FUNC() [32/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scstart | ,
|  | SCSTART | )

## ◆ H4_F77_FUNC() [33/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scwcchnk | ,
|  | SCWCCHNK | )

## ◆ H4_F77_FUNC() [34/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | scwchnk | ,
|  | SCWCHNK | )

## ◆ H4_F77_FUNC() [35/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sfdimid | ,
|  | SFDIMID | )

## ◆ H4_F77_FUNC() [36/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sfend | ,
|  | SFEND | )

## ◆ H4_F77_FUNC() [37/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sfendacc | ,
|  | SFENDACC | )

## ◆ H4_F77_FUNC() [38/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sffinfo | ,
|  | SFFINFO | )

## ◆ H4_F77_FUNC() [39/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sfgcal | ,
|  | SFGCAL | )

## ◆ H4_F77_FUNC() [40/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sfgcfill | ,
|  | SFGCFILL | )

## ◆ H4_F77_FUNC() [41/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sfgdscale | ,
|  | SFGDSCALE | )

## ◆ H4_F77_FUNC() [42/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sfgfill | ,
|  | SFGFILL | )

## ◆ H4_F77_FUNC() [43/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sfgrange | ,
|  | SFGRANGE | )

## ◆ H4_F77_FUNC() [44/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sfid2ref | ,
|  | SFID2REF | )

## ◆ H4_F77_FUNC() [45/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sfiscvar | ,
|  | SFISCVAR | )

## ◆ H4_F77_FUNC() [46/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sfisdmvc | ,
|  | SFISDMVC | )

## ◆ H4_F77_FUNC() [47/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sfisrcrd | ,
|  | SFISRCRD | )

## ◆ H4_F77_FUNC() [48/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sfrattr | ,
|  | SFRATTR | )

## ◆ H4_F77_FUNC() [49/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sfrcatt | ,
|  | SFRCATT | )

## ◆ H4_F77_FUNC() [50/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sfrcdata | ,
|  | SFRCDATA | )

## ◆ H4_F77_FUNC() [51/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sfrdata | ,
|  | SFRDATA | )

## ◆ H4_F77_FUNC() [52/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sfref2index | ,
|  | SFREF2INDEX | )

## ◆ H4_F77_FUNC() [53/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sfrnatt | ,
|  | SFRNATT | )

## ◆ H4_F77_FUNC() [54/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sfsacct | ,
|  | SFSACCT | )

## ◆ H4_F77_FUNC() [55/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sfsblsz | ,
|  | SFSBLSZ | )

## ◆ H4_F77_FUNC() [56/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sfscal | ,
|  | SFSCAL | )

## ◆ H4_F77_FUNC() [57/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sfscfill | ,
|  | SFSCFILL | )

## ◆ H4_F77_FUNC() [58/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sfsdmvc | ,
|  | SFSDMVC | )

## ◆ H4_F77_FUNC() [59/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sfsdscale | ,
|  | SFSDSCALE | )

## ◆ H4_F77_FUNC() [60/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sfselect | ,
|  | SFSELECT | )

## ◆ H4_F77_FUNC() [61/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sfsfill | ,
|  | SFSFILL | )

## ◆ H4_F77_FUNC() [62/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sfsflmd | ,
|  | SFSFLMD | )

## ◆ H4_F77_FUNC() [63/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sfsnbit | ,
|  | SFSNBIT | )

## ◆ H4_F77_FUNC() [64/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sfsrange | ,
|  | SFSRANGE | )

## ◆ H4_F77_FUNC() [65/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sfwcdata | ,
|  | SFWCDATA | )

## ◆ H4_F77_FUNC() [66/66]

HDFFCLIBAPI intf H4_F77_FUNC | ( | sfwdata | ,
|  | SFWDATA | )

## Variable Documentation

## ◆ access

HDFFCLIBAPI intf intf* access

## ◆ bit_len

HDFFCLIBAPI intf intf intf* bit_len

## ◆ block_size

HDFFCLIBAPI intf intf* block_size

## ◆ buf

HDFFCLIBAPI intf intf void* buf

## ◆ c

HDFFCLIBAPI intf _fcd _fcd _fcd _fcd c

## ◆ cal

HDFFCLIBAPI intf float64 * cal

## ◆ cale

HDFFCLIBAPI intf float64 float64 * cale

## ◆ char_data

HDFFCLIBAPI intf intf _fcd char_data

## ◆ cl

HDFFCLIBAPI intf _fcd _fcd _fcd _fcd intf intf intf intf* cl

## ◆ comp_prm

HDFFCLIBAPI intf intf intf* comp_prm

## ◆ comp_type

HDFFCLIBAPI intf intf* comp_type

## ◆ compmode

HDFFCLIBAPI intf intf* compmode

## ◆ coord

HDFFCLIBAPI intf _fcd _fcd _fcd _fcd coord

## ◆ count

HDFFCLIBAPI intf intf* count

## ◆ data

HDFFCLIBAPI intf _fcd intf intf void* data

## ◆ datasets

HDFFCLIBAPI intf intf* datasets

## ◆ dim_length

HDFFCLIBAPI intf intf* dim_length

## ◆ dims

HDFFCLIBAPI intf _fcd intf intf intf* dims

## ◆ dimsizes

HDFFCLIBAPI intf _fcd intf intf* dimsizes

## ◆ end

HDFFCLIBAPI intf intf intf intf * end

## ◆ f

HDFFCLIBAPI intf _fcd _fcd _fcd f

## ◆ fill_one

HDFFCLIBAPI intf intf intf intf intf* fill_one

## ◆ fillmode

HDFFCLIBAPI intf intf* fillmode

## ◆ fl

HDFFCLIBAPI intf _fcd _fcd _fcd _fcd intf intf intf * fl

## ◆ flag

HDFFCLIBAPI intf intf* flag

## ◆ flags

HDFFCLIBAPI intf intf intf* flags

## ◆ format

HDFFCLIBAPI intf _fcd _fcd _fcd format

## ◆ gattr

HDFFCLIBAPI intf intf intf* gattr

## ◆ index

HDFFCLIBAPI intf intf * index

## ◆ ioff

HDFFCLIBAPI intf float64 float64 float64* ioff

## ◆ ioffe

HDFFCLIBAPI intf float64 float64 float64 float64 * ioffe

## ◆ l

HDFFCLIBAPI intf _fcd l

## ◆ label

HDFFCLIBAPI intf _fcd label

## ◆ lcoord

HDFFCLIBAPI intf _fcd _fcd _fcd _fcd intf intf intf intf* lcoord

## ◆ len

HDFFCLIBAPI intf _fcd intf intf void intf* len

## ◆ lformat

HDFFCLIBAPI intf _fcd _fcd _fcd _fcd intf intf intf* lformat

## ◆ ll

HDFFCLIBAPI intf _fcd _fcd _fcd _fcd intf * ll

## ◆ llabel

HDFFCLIBAPI intf _fcd _fcd _fcd _fcd intf* llabel

## ◆ lunit

HDFFCLIBAPI intf _fcd _fcd _fcd _fcd intf intf* lunit

## ◆ max

HDFFCLIBAPI intf void* max

## ◆ maxcache

HDFFCLIBAPI intf intf* maxcache

## ◆ min

HDFFCLIBAPI intf void void* min

## ◆ mlen

HDFFCLIBAPI intf _fcd _fcd _fcd intf intf intf intf* mlen

## ◆ n_vars

HDFFCLIBAPI intf _fcd intf intf intf intf * n_vars

## ◆ name

HDFFCLIBAPI intf _fcd name

## ◆ namelen

HDFFCLIBAPI intf _fcd intf* namelen

## ◆ nattr

HDFFCLIBAPI intf _fcd intf intf intf* nattr

## ◆ nt

HDFFCLIBAPI intf intf intf* nt

## ◆ num_data

HDFFCLIBAPI intf intf void* num_data

## ◆ number

HDFFCLIBAPI intf intf* number

## ◆ obj_type

HDFFCLIBAPI intf intf* obj_type

## ◆ offset

HDFFCLIBAPI intf _fcd intf* offset

## ◆ rank

HDFFCLIBAPI intf _fcd intf intf* rank

## ◆ ref

HDFFCLIBAPI intf intf* ref

## ◆ sign_ext

HDFFCLIBAPI intf intf intf intf* sign_ext

## ◆ start

HDFFCLIBAPI intf intf* start

## ◆ start_bit

HDFFCLIBAPI intf intf* start_bit

## ◆ stride

HDFFCLIBAPI intf intf intf* stride

## ◆ sys_limit

HDFFCLIBAPI intf intf* sys_limit

## ◆ sz

HDFFCLIBAPI intf _fcd intf* sz

## ◆ type

HDFFCLIBAPI intf intf* type

## ◆ type_list

HDFFCLIBAPI intf _fcd intf intf intf* type_list

## ◆ u

HDFFCLIBAPI intf _fcd _fcd u

## ◆ ul

HDFFCLIBAPI intf _fcd _fcd _fcd _fcd intf intf * ul

## ◆ unit

HDFFCLIBAPI intf _fcd _fcd unit

## ◆ val

HDFFCLIBAPI intf void * val

## ◆ values

HDFFCLIBAPI intf intf intf intf _fcd values

## ◆ var_list

HDFFCLIBAPI intf _fcd intf intf* var_list